![Logo](https://github.com/fluttify-project/fluttify-core-example/blob/develop/other/Logo-Landscape.png?raw=true)

# 阿里云实时音视频(RTC) Flutter插件

**专业版为付费插件, 如有需要请联系qq 382146139**<br/>
**专业版为付费插件, 如有需要请联系qq 382146139**<br/>
**专业版为付费插件, 如有需要请联系qq 382146139**<br/>

# Fluttify系列插件
|  名称  | 描述 | 仓库 |
|:-----:|:-----:|:-----:|
| [高德地图](https://github.com/fluttify-project/amap_map_fluttify)  |  高德地图地图组件, 提供地图控件 | [![pub package](https://img.shields.io/pub/v/amap_map_fluttify.svg)](https://pub.Flutter-io.cn/packages/amap_map_fluttify) |
| [高德定位](https://github.com/fluttify-project/amap_location_fluttify)  |  高德地图定位组件, 提供独立的定位功能 | [![pub package](https://img.shields.io/pub/v/amap_location_fluttify.svg)](https://pub.Flutter-io.cn/packages/amap_location_fluttify) |
| [高德搜索](https://github.com/fluttify-project/amap_search_fluttify)  |  高德地图搜索组件, 提供poi搜索等功能 | [![pub package](https://img.shields.io/pub/v/amap_search_fluttify.svg)](https://pub.Flutter-io.cn/packages/amap_search_fluttify) |
| [高德猎鹰](https://github.com/fluttify-project/amap_track_fluttify)  |  高德地图猎鹰组件, 提供实时定位采集功能 | [![pub package](https://img.shields.io/pub/v/amap_track_fluttify.svg)](https://pub.Flutter-io.cn/packages/amap_track_fluttify) |
| [百度地图](https://github.com/fluttify-project/bmap_map_fluttify)  |  百度地图, 包含了地图控件, 定位以及搜索poi等功能 | [![pub package](https://img.shields.io/pub/v/bmap_map_fluttify.svg)](https://pub.Flutter-io.cn/packages/bmap_map_fluttify) |
| [百度人脸识别](https://github.com/fluttify-project/baidu_face_flutter)  |  百度人脸识别, 提供活体检测等功能 | [![pub package](https://img.shields.io/pub/v/baidu_face_flutter.svg)](https://pub.Flutter-io.cn/packages/baidu_face_flutter) |
| [网易直播](https://github.com/fluttify-project/netease_live_fluttify)  |  网易直播推流组件 | [![pub package](https://img.shields.io/pub/v/netease_live_fluttify.svg)](https://pub.Flutter-io.cn/packages/netease_live_fluttify) |
| [网易云信](https://github.com/fluttify-project/nim_fluttify)  |  网易云信 IM组件 | [![pub package](https://img.shields.io/pub/v/nim_fluttify.svg)](https://pub.Flutter-io.cn/packages/nim_fluttify) |
| [腾讯直播](https://github.com/fluttify-project/tencent_live_fluttify)  |  腾讯直播, 包含推流组件和播放组件 | [![pub package](https://img.shields.io/pub/v/tencent_live_fluttify.svg)](https://pub.Flutter-io.cn/packages/tencent_live_fluttify) |
| [腾讯IM](https://github.com/fluttify-project/tim_fluttify)  |  腾讯IM组件 | [![pub package](https://img.shields.io/pub/v/tim_fluttify.svg)](https://pub.Flutter-io.cn/packages/tim_fluttify) |
| [腾讯地图](https://github.com/fluttify-project/tmap_map_fluttify)  |  腾讯地图组件 | [![pub package](https://img.shields.io/pub/v/tmap_map_fluttify.svg)](https://pub.Flutter-io.cn/packages/tmap_map_fluttify) |
| [讯飞语音合成](https://github.com/fluttify-project/xftts_fluttify)  |  腾讯语言合成组件, 提供文字转语言功能 | [![pub package](https://img.shields.io/pub/v/xftts_fluttify.svg)](https://pub.flutter-io.cn/packages/xftts_fluttify) |
| [极光统计](https://github.com/fluttify-project/janalytics_fluttify)  |  极光统计组件, 提供异常上报等功能 | [![pub package](https://img.shields.io/pub/v/janalytics_fluttify.svg)](https://pub.flutter-io.cn/packages/janalytics_fluttify) |
| [阿里云RTC](https://github.com/fluttify-project/ali_rtc_fluttify)  |  阿里云实时音视频 | [![pub package](https://img.shields.io/pub/v/ali_rtc_fluttify.svg)](https://pub.flutter-io.cn/packages/ali_rtc_fluttify) |
| [腾讯短视频](https://github.com/fluttify-project/tencent_ugc_fluttify)  |  腾讯短视频(UGC) | [![pub package](https://img.shields.io/pub/v/tencent_ugc_fluttify.svg)](https://pub.flutter-io.cn/packages/tencent_ugc_fluttify) |
| [环信](https://github.com/fluttify-project/easemob_im_fluttify)  |  环信IM | [![pub package](https://img.shields.io/pub/v/easemob_im_fluttify.svg)](https://pub.flutter-io.cn/packages/easemob_im_fluttify) |
| [未完待续...](https://github.com/fluttify-project)  |  如有其它需求, 请联系qq 382146139 | ![fluttify](https://img.shields.io/badge/fluttify-welcom-green) |

## 依赖
```yaml
dependencies:
  flutter:
    sdk: flutter
  ali_rtc_fluttify: ^x.x.x
```

## 配置
### iOS
1. 需要使能UiKitView, 在Info.plist中添加:
```xml
<key>io.flutter.embedded_views_preview</key>
<string>YES</string>
```

## 社区
| QQ群 |
| :----------: |
| <img src="https://github.com/fluttify-project/fluttify-project/blob/master/resources/1593774713224_temp_qrcode_share_9993.png?raw=true" height="300"> | 

## 社区版与专业版
|  显示地图  | 社区版 | 专业版 |
|:-----:|:-----:|:-----:|
|  设置本地画布  |  ✅ |  ✅ |
|  设置远程画布  |  ✅ |  ✅ |
|  本地预览  |  ✅ | ✅ |
|  取消本地预览  |  ✅ |   ✅ |
|  加入频道  |  ✅ |  ✅ |
|  离开频道  |  ✅ |   ✅ |
|  发布/取消发布本地流  |  ✅ |   ✅ |
|  订阅/取消订阅远程流  |  ✅    | ✅ |
|  远端用户上线通知  |  ✅ | ✅ |
|  远端用户下线通知  |  ✅ | ✅ |
|  发布本地流回调  |  ✅ |   ✅ |
|  取消发布本地流回调  |  ✅ |   ✅ |
|  设置自动发布和订阅  |  ☑️ |  ✅ |
|  设置允许发布音频流  |  ☑️ |  ✅ |
|  设置允许发布相机流  |  ☑️ |  ✅ |
|  设置允许发布次要视频流  |  ☑️ |  ✅ |
|  设置订阅远端音频流  |  ☑️ |  ✅ |
|  设置订阅远端屏幕流  |  ☑️ |  ✅ |
|  设置订阅远端相机流  |  ☑️ |  ✅ |
|  网络质量回调  |  ☑️ |  ✅ |
|  角色更新回调  |  ☑️ |  ✅ |
|  网速测试回调  |  ☑️ |  ✅ |
|  设置视频属性  |  ☑️ |  ✅ |
|  切换前后摄像头  |  ☑️ |  ✅ |
|  检查摄像头是否打开  |  ☑️ |  ✅ |
|  查看摄像头是否支持手动聚焦  |  ☑️ |  ✅ |
|  查看摄像头是否支持设置曝光区域  |  ☑️ |  ✅ |
|  设置摄像头手动聚焦  |  ☑️ |  ✅ |
|  查询是否开启扬声器  |  ☑️ |  ✅ |
|  切换听筒、扬声器输出  |  ☑️ |  ✅ |
|  设置摄像头参数  |  ☑️ |  ✅ |
|  获取远端在线用户列表  |  ☑️ |  ✅ |
|  查询远端用户信息  |  ☑️ |  ✅ |
|  查询用户是否在线  |  ☑️ |  ✅ |
|  设置频道模式  |  ☑️ |  ✅ |
|  设置角色  |  ☑️ |  ✅ |
|  设置基础美颜  |  ☑️ |  ✅ |
|  开启或关闭耳返功能  |  ☑️ |  ✅ |
|  设置耳返的音量  |  ☑️ |  ✅ |
|  混音伴奏  |  ☑️ |  ✅ |
|  暂停伴奏  |  ☑️ |  ✅ |
|  恢复伴奏  |  ☑️ |  ✅ |
|  停止伴奏  |  ☑️ |  ✅ |
|  设置混音音量  |  ☑️ |  ✅ |
|  设置混音之后推流出去的音量  |  ☑️ |  ✅ |
|  设置混音之后本地播放的音量  |  ☑️ |  ✅ |
|  获取推流出去的混音音量  |  ☑️ |  ✅ |
|  获取混音本地播放的音量  |  ☑️ |  ✅ |
|  预加载音效文件  |  ☑️ |  ✅ |
|  根据预加载的音效文件ID删除预加载音效  |  ☑️ |  ✅ |
|  开始播放音效  |  ☑️ |  ✅ |
|  暂停音效  |  ☑️ |  ✅ |
|  恢复音效  |  ☑️ |  ✅ |
|  停止音效  |  ☑️ |  ✅ |
|  设置音效音量  |  ☑️ |  ✅ |
|  设置音效本地播放音量  |  ☑️ |  ✅ |
|  获取推流音效音量  |  ☑️ |  ✅ |
|  获取音效本地播放音量  |  ☑️ |  ✅ |
|  网络测速  |  ☑️ |  ✅ |
|  停止网络测速  |  ☑️ |  ✅ |

## LICENSE
> Copyright (C) 2020 yohom
> 
> This program is free software: you can redistribute it and/or modify
> it under the terms of the GNU General Public License as published by
> the Free Software Foundation, either version 3 of the License, or
> (at your option) any later version.
> 
> This program is distributed in the hope that it will be useful,
> but WITHOUT ANY WARRANTY; without even the implied warranty of
> MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
> GNU General Public License for more details.
> 
> You should have received a copy of the GNU General Public License
> along with this program.  If not, see <https://www.gnu.org/licenses/>.